Subject: Re: bug#963: no support for viewing bmp images?

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Sep 2019 20:11:10 +0200

Stefan Kangas <[email-masked]> writes:

> When I compile the current master branch using --with-imagemagick,
> viewing bmp images works for me.  But imagemagick is now disabled by
> default (and rightly so).  Without imagemagick compiled in I just get
> garbled text when opening a bmp file.
>
> Using Emacs 26.1 from Debian I can view BMP images just fine, as
> expected, since it comes with imagemagick support.
>
> It seems to me that Emacs is missing BMP support if built without
> imagemagick.  It would be nice to not depend on that library for this
> use case.

Are BMP images used much, though?  I can't remember the last time I saw
one in the wild.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no